Subject: Re: bug#13753: 24.3.50; error with advice (+ sage/org/auctex)

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Feb 2013 22:48:23 -0500

> I'm using emacs with auctex, org mode and sage-mode (all of them to the
> most uptodate devel version, last updated a few minutes ago).

Not all of them, I'm afraid:

> In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
>  of 2012-11-21 on LDLC-portable

Your backtrace includes:

>  ad-real-orig-definition(...)
>  ad--make-advised-docstring(...)

but ad--make-advised-docstring doesn't call ad-real-orig-definition any
more, so I think your bug has already been fixed.

I recommend you use code from the emacs-24 branch (the pretest for 24.3)
rather than from the trunk (which will probably turn into 24.4) unless
you're updating very frequently.

        Stefan